WebCab Options and Futures Demo v2.5 (J2SE Edition)

## webcab.lib.finance.options
Class EuropeanVega

    java.lang.Object
      |
      +--webcab.lib.finance.options.EuropeanVega

All Implemented Interfaces:
  Serializable

public class EuropeanVega
extends Object
implements Serializable

Within this class we consider the evaluation of the Vega of a European option on equities, equity indexes, currencies and future contracts in accordance with the classical Black-Scholes model.

Recall that the Vega of an option contract is the rate of change (i.e. the first derivative) of the option with respect to changes in the volatility of the underlying asset.

See Also:
  Serialized Form

Constructor Summary
`EuropeanVega()` Creates a new instance.

Method Summary
`double` `optionVega(double stockPrice, double strike, double riskFreeRate, double volatility, Date evaluationDate, Date maturityDate, BusinessCalendar businessCalendar)` This method returns the Vega of a European call or put option on a non-dividend paying stock.
`double` `optionVega(double stockPrice, double strike, double riskFreeRate, double volatility, double timeToMaturity)` This method returns the Vega of a European call or put option on a non-dividend paying stock.
`double` `optionVegaOnCurrency(double foreignRiskFree, double exchangeRate, double strike, double riskFreeRate, double volatility, Date evaluationDate, Date maturityDate, BusinessCalendar businessCalendar)` Evaluates the Vega of a European call or put option on a currency.
`double` `optionVegaOnCurrency(double foreignRiskFree, double exchangeRate, double strike, double riskFreeRate, double volatility, double timeToMaturity)` Evaluates the Vega of a European call or put option on a currency.
`double` `optionVegaOnFutures(double futuresPrice, double strike, double riskFreeRate, double volatility, Date evaluationDate, Date maturityDate, BusinessCalendar businessCalendar)` Evaluates the Vega of a European call or put option on a futures contract.
`double` `optionVegaOnFutures(double futuresPrice, double strike, double riskFreeRate, double volatility, double timeToMaturity)` Evaluates the Vega of a European call or put option on a futures contract.
`double` `optionVegaOnIndex(double yield, double indexValue, double strike, double riskFreeRate, double volatility, Date evaluationDate, Date maturityDate, BusinessCalendar businessCalendar)` Evaluates the Vega of a European call or put option on an index.
`double` `optionVegaOnIndex(double yield, double indexValue, double strike, double riskFreeRate, double volatility, double timeToMaturity)` Evaluates the Vega of a European call or put option on an index.
`double` `optionVegaWithYield(double yield, double stockPrice, double strike, double riskFreeRate, double volatility, Date evaluationDate, Date maturityDate, BusinessCalendar businessCalendar)` This method returns the Vega of a European call or put option on a stock which pays a continuous dividend.
`double` `optionVegaWithYield(double yield, double stockPrice, double strike, double riskFreeRate, double volatility, double timeToMaturity)` This method returns the Vega of a European call or put option on a stock which pays a continuous dividend.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EuropeanVega

    public EuropeanVega()

  Creates a new instance.

Method Detail

### optionVega

    public double optionVega(double stockPrice,
                             double strike,
                             double riskFreeRate,
                             double volatility,
                             Date evaluationDate,
                             Date maturityDate,
                             BusinessCalendar businessCalendar)
                      throws EuropeanVegaDemoException

  This method returns the Vega of a European call or put option on a non-dividend paying stock.

  Parameters:
    `stockPrice` - the price of the underlying stock
    `strike` - the strike of the option contract
    `riskFreeRate` - the continuously compounded risk free interest rate
    `volatility` - the volatility of the underlying asset
    `evaluationDate` - the date when the Vega of the option contract is evaluated
    `maturityDate` - the date when the option matures
    `businessCalendar` - The instance of a `BusinessCalendar` interface implementation. Specify `null` to select the London business calendar.
    `EuropeanVegaDemoException`

### optionVega

    public double optionVega(double stockPrice,
                             double strike,
                             double riskFreeRate,
                             double volatility,
                             double timeToMaturity)
                      throws EuropeanVegaDemoException

  This method returns the Vega of a European call or put option on a non-dividend paying stock.

  Parameters:
    `stockPrice` - the price of the underlying stock
    `strike` - the strike of the option contract
    `riskFreeRate` - the continuously compounded risk free interest rate
    `volatility` - the volatility of the underlying asset
    `timeToMaturity` - the time until the option contract expires
    `EuropeanVegaDemoException`

### optionVegaWithYield

    public double optionVegaWithYield(double yield,
                                      double stockPrice,
                                      double strike,
                                      double riskFreeRate,
                                      double volatility,
                                      Date evaluationDate,
                                      Date maturityDate,
                                      BusinessCalendar businessCalendar)
                               throws EuropeanVegaDemoException

  This method returns the Vega of a European call or put option on a stock which pays a continuous dividend.

  Parameters:
    `yield` - the continuous yield of the underlying asset
    `stockPrice` - the price of the underlying stock
    `strike` - the strike of the option contract
    `riskFreeRate` - the continuously compounded risk free interest rate
    `volatility` - the volatility of the underlying asset
    `evaluationDate` - the date when the Vega of the option contract is evaluated
    `maturityDate` - the date when the option matures
    `businessCalendar` - The instance of a `BusinessCalendar` interface implementation. Specify `null` to select the London business calendar.
    `EuropeanVegaDemoException`

### optionVegaWithYield

    public double optionVegaWithYield(double yield,
                                      double stockPrice,
                                      double strike,
                                      double riskFreeRate,
                                      double volatility,
                                      double timeToMaturity)
                               throws EuropeanVegaDemoException

  This method returns the Vega of a European call or put option on a stock which pays a continuous dividend.

  Parameters:
    `yield` - the continuous yield of the underlying asset
    `stockPrice` - the price of the underlying stock
    `strike` - the strike of the option contract
    `riskFreeRate` - the continuously compounded risk free interest rate
    `volatility` - the volatility of the underlying asset
    `timeToMaturity` - the time until the option contract expires (in years)
    `EuropeanVegaDemoException`

### optionVegaOnIndex

    public double optionVegaOnIndex(double yield,
                                    double indexValue,
                                    double strike,
                                    double riskFreeRate,
                                    double volatility,
                                    Date evaluationDate,
                                    Date maturityDate,
                                    BusinessCalendar businessCalendar)
                             throws EuropeanVegaDemoException

  Evaluates the Vega of a European call or put option on an index.

  Parameters:
    `yield` - the average yield of the constituents of the index
    `indexValue` - the value of the index
    `strike` - the value of the index as which the option settles
    `riskFreeRate` - continuously compounded risk free interest rate
    `volatility` - the volatility of the underlying asset
    `evaluationDate` - the date when the Vega of the option contract is evaluated
    `maturityDate` - the date when the option matures
    `businessCalendar` - The instance of a `BusinessCalendar` interface implementation. Specify `null` to select the London business calendar.
    `EuropeanVegaDemoException`

### optionVegaOnIndex

    public double optionVegaOnIndex(double yield,
                                    double indexValue,
                                    double strike,
                                    double riskFreeRate,
                                    double volatility,
                                    double timeToMaturity)
                             throws EuropeanVegaDemoException

  Evaluates the Vega of a European call or put option on an index.

  Parameters:
    `yield` - the average yield of the constituents of the index
    `indexValue` - the value of the index
    `strike` - the value of the index as which the option settles
    `riskFreeRate` - continuously compounded risk free interest rate
    `volatility` - the volatility of the underlying asset
    `timeToMaturity` - the time until the option expires
    `EuropeanVegaDemoException`

### optionVegaOnCurrency

    public double optionVegaOnCurrency(double foreignRiskFree,
                                       double exchangeRate,
                                       double strike,
                                       double riskFreeRate,
                                       double volatility,
                                       Date evaluationDate,
                                       Date maturityDate,
                                       BusinessCalendar businessCalendar)
                                throws EuropeanVegaDemoException

  Evaluates the Vega of a European call or put option on a currency.

  Parameters:
    `foreignRiskFree` - the continuously compounded risk free interest rate in the foreign currency
    `exchangeRate` - the present exchange rate
    `strike` - the exchange rate at which the option can be exercised
    `riskFreeRate` - the risk free interest rate in the base currency
    `volatility` - the volatility of the exchange rate
    `evaluationDate` - the date when the Vega of the option contract is evaluated
    `maturityDate` - the date when the option matures
    `businessCalendar` - The instance of a `BusinessCalendar` interface implementation. Specify `null` to select the London business calendar.
    `EuropeanVegaDemoException`

### optionVegaOnCurrency

    public double optionVegaOnCurrency(double foreignRiskFree,
                                       double exchangeRate,
                                       double strike,
                                       double riskFreeRate,
                                       double volatility,
                                       double timeToMaturity)
                                throws EuropeanVegaDemoException

  Evaluates the Vega of a European call or put option on a currency.

  Parameters:
    `foreignRiskFree` - the continuously compounded risk free interest rate in the foreign currency
    `exchangeRate` - the present exchange rate
    `strike` - the exchange rate at which the option can be exercised
    `riskFreeRate` - the risk free interest rate in the base currency
    `volatility` - the volatility of the exchange rate
    `timeToMaturity` - the time until the option expires
    `EuropeanVegaDemoException`

### optionVegaOnFutures

    public double optionVegaOnFutures(double futuresPrice,
                                      double strike,
                                      double riskFreeRate,
                                      double volatility,
                                      Date evaluationDate,
                                      Date maturityDate,
                                      BusinessCalendar businessCalendar)
                               throws EuropeanVegaDemoException

  Evaluates the Vega of a European call or put option on a futures contract.

  Parameters:
    `futuresPrice` - the futures price at time zero
    `strike` - the value of the futures contract at which option can be exercised
    `riskFreeRate` - the risk free interest rate
    `volatility` - volatility of the futures contract
    `evaluationDate` - the date when the Vega of the option contract is evaluated
    `maturityDate` - the date when the option matures
    `businessCalendar` - The instance of a `BusinessCalendar` interface implementation. Specify `null` to select the London business calendar.
    `EuropeanVegaDemoException`

### optionVegaOnFutures

    public double optionVegaOnFutures(double futuresPrice,
                                      double strike,
                                      double riskFreeRate,
                                      double volatility,
                                      double timeToMaturity)
                               throws EuropeanVegaDemoException

  Evaluates the Vega of a European call or put option on a futures contract.

  Parameters:
    `futuresPrice` - the futures price at time zero
    `strike` - the value of the futures contract at which option can be exercised
    `riskFreeRate` - the risk free interest rate
    `volatility` - volatility of the futures contract
    `timeToMaturity` - the time to maturity of the option (in years)
    `EuropeanVegaDemoException`

WebCab Options and Futures Demo v2.5 (J2SE Edition)